summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson2014-01-16 01:21:10 +0100
committer Erik Hanson2014-01-30 06:21:04 +0100
commita952af625bb76a96e9e8535449f9463d78de3d54 (patch)
tree35c35856423033a138e780647e955e9d02f25731 /audio
parent2854beb10b2c340c6d5141a0afedb87d31090c2f (diff)
downloadslackbuilds-a952af625bb76a96e9e8535449f9463d78de3d54.tar.gz
audio/midillo: Added (MIDI file tools).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/midillo/README7
-rw-r--r--audio/midillo/konforka_compile_fix.diff9
-rw-r--r--audio/midillo/midillo.SlackBuild125
-rw-r--r--audio/midillo/midillo.info12
-rw-r--r--audio/midillo/midillo_compile_fix.diff24
-rw-r--r--audio/midillo/slack-desc19
6 files changed, 196 insertions, 0 deletions
diff --git a/audio/midillo/README b/audio/midillo/README
new file mode 100644
index 0000000000..eb24158ed3
--- /dev/null
+++ b/audio/midillo/README
@@ -0,0 +1,7 @@
+millo (MIDI file tools)
+
+midillo is a library and set of tools for MIDI files manipulation. At
+this point it consists of simple diagnostic dump of MIDI file (mididump),
+a filter that strips unwanted events (midifilter), and a converter to
+SMF format 0 files (midi2f0), so that a keyboard which is not as capable
+as a computer would understand it.
diff --git a/audio/midillo/konforka_compile_fix.diff b/audio/midillo/konforka_compile_fix.diff
new file mode 100644
index 0000000000..9dc44da626
--- /dev/null
+++ b/audio/midillo/konforka_compile_fix.diff
@@ -0,0 +1,9 @@
+diff -Naur konforka-0.0/lib/exception.cc konforka-0.0.patched//lib/exception.cc
+--- konforka-0.0/lib/exception.cc 2005-01-18 17:23:46.000000000 -0500
++++ konforka-0.0.patched//lib/exception.cc 2012-08-23 14:14:12.000000000 -0400
+@@ -1,3 +1,5 @@
++#include <stdio.h>
++#include <stdarg.h>
+ #include <string.h>
+ #include <errno.h>
+ #include "konforka/exception.h"
diff --git a/audio/midillo/midillo.SlackBuild b/audio/midillo/midillo.SlackBuild
new file mode 100644
index 0000000000..db78a8099f
--- /dev/null
+++ b/audio/midillo/midillo.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+# Slackware build script for midillo
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=midillo
+VERSION=${VERSION:-0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# The konforka library is the midillo author's "convenience library",
+# required by all his projects. Since I only plan to submit midillo,
+# I don't see any value in having a separate konforka package.
+LIBNAM=konforka
+LIBVER=0.0
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $LIBNAM-$LIBVER
+tar xvf $CWD/$LIBNAM-$LIBVER.tar.bz2
+cd $LIBNAM-$LIBVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/${LIBNAM}_compile_fix.diff
+
+# the shipped autoconf stuff is broken
+autoreconf -fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/${PRGNAM}_compile_fix.diff
+
+KONFORKA_CFLAGS=-I$PKG/usr/include \
+KONFORKA_LIBS="-L$PKG/usr/lib$LIBDIRSUFFIX -l$LIBNAM" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# README and ChangeLog are 0-byte placeholders
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/midillo/midillo.info b/audio/midillo/midillo.info
new file mode 100644
index 0000000000..3457853102
--- /dev/null
+++ b/audio/midillo/midillo.info
@@ -0,0 +1,12 @@
+PRGNAM="midillo"
+VERSION="0.0"
+HOMEPAGE="http://kin.klever.net/midillo"
+DOWNLOAD="http://kin.klever.net/dist/midillo-0.0.tar.bz2 \
+ http://kin.klever.net/dist/konforka-0.0.tar.bz2"
+MD5SUM="9121745372610cae8bcee42fecfefced \
+ 53caf029a0e09b7e5410c94ac6294c4c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/midillo/midillo_compile_fix.diff b/audio/midillo/midillo_compile_fix.diff
new file mode 100644
index 0000000000..1c5acfc26e
--- /dev/null
+++ b/audio/midillo/midillo_compile_fix.diff
@@ -0,0 +1,24 @@
+diff -Naur midillo-0.0/lib/SMF.cc midillo-0.0.patched//lib/SMF.cc
+--- midillo-0.0/lib/SMF.cc 2006-08-10 18:21:34.000000000 -0400
++++ midillo-0.0.patched//lib/SMF.cc 2012-08-23 14:21:38.000000000 -0400
+@@ -1,3 +1,4 @@
++#include <string.h>
+ #include <iostream>
+ #include <fstream>
+ #include <algorithm>
+diff -Naur midillo-0.0/lib/message.cc midillo-0.0.patched//lib/message.cc
+--- midillo-0.0/lib/message.cc 2006-08-11 07:05:16.000000000 -0400
++++ midillo-0.0.patched//lib/message.cc 2012-08-23 14:23:17.000000000 -0400
+@@ -1,3 +1,4 @@
++#include <assert.h>
+ #include <algorithm>
+ #include <iterator>
+ #include <midillo/message.h>
+diff -Naur midillo-0.0/tools/mididump.cc midillo-0.0.patched//tools/mididump.cc
+--- midillo-0.0/tools/mididump.cc 2006-08-11 06:40:20.000000000 -0400
++++ midillo-0.0.patched//tools/mididump.cc 2012-08-23 14:24:23.000000000 -0400
+@@ -1,3 +1,4 @@
++#include <string.h>
+ #include <getopt.h>
+ #include <iostream>
+ #include <fstream>
diff --git a/audio/midillo/slack-desc b/audio/midillo/slack-desc
new file mode 100644
index 0000000000..7fb442134e
--- /dev/null
+++ b/audio/midillo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+midillo: midillo (MIDI file tools)
+midillo:
+midillo: midillo is a library and set of tools for MIDI files manipulation. At
+midillo: this point it consists of simple diagnostic dump of MIDI file
+midillo: (mididump), a filter that strips unwanted events (midifilter), and a
+midillo: converter to SMF format 0 files (midi2f0), so that a keyboard which
+midillo: is not as capable as a computer would understand it.
+midillo:
+midillo:
+midillo:
+midillo: